Bug 230279 - security/fprintd: Update 0.8.1
Summary: security/fprintd: Update 0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: https://github.com/freedesktop/libfpr...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-02 00:25 UTC by Nathan
Modified: 2019-01-11 15:04 UTC (History)
1 user (show)

See Also:


Attachments
Update Patch (10.16 KB, patch)
2018-08-02 00:25 UTC, Nathan
no flags Details | Diff
Poudriere Log (94.98 KB, text/plain)
2018-08-02 00:25 UTC, Nathan
no flags Details
Update Patch (10.22 KB, patch)
2018-08-02 00:30 UTC, Nathan
no flags Details | Diff
Poudriere Log (102.13 KB, text/plain)
2018-08-02 00:36 UTC, Nathan
no flags Details
Update (6.11 KB, patch)
2018-08-17 01:36 UTC, Nathan
no flags Details | Diff
Update; Avoid need of gtk-doc dep; (8.79 KB, patch)
2018-09-02 04:21 UTC, Nathan
no flags Details | Diff
Update; Avoid need of gtk-doc dep (8.86 KB, patch)
2018-09-02 04:34 UTC, Nathan
no flags Details | Diff
Update ; Remove gtk-doc dep (8.79 KB, patch)
2018-09-23 18:23 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-08-02 00:25:23 UTC
Created attachment 195739 [details]
Update Patch

Changelog: https://cgit.freedesktop.org/libfprint/fprintd/tree/NEWS

# portlint -AC
looks fine.
Comment 1 Bugzilla Automation freebsd_committer 2018-08-02 00:25:23 UTC
Maintainer informed via mail
Comment 2 Nathan 2018-08-02 00:25:44 UTC
Created attachment 195740 [details]
Poudriere Log
Comment 3 Nathan 2018-08-02 00:30:16 UTC
Created attachment 195741 [details]
Update Patch

Will add Poudriere log next
Comment 4 Nathan 2018-08-02 00:36:26 UTC
Created attachment 195742 [details]
Poudriere Log
Comment 5 Tobias Kortkamp freebsd_committer 2018-08-02 06:38:13 UTC
(In reply to Nathan from comment #3)
-USES=		tar:xz gmake libtool pkgconfig
+USES=		tar:xz gmake \
+		libtool pkgconfig

Nathan, thanks for all of your submissions, but please do not make
changes like this.  There is nothing wrong with the original version.
You can maybe add a newline to USES when the line approaches 80
columns but it is not even close here.

-etc/fprintd.conf
+%%ETCDIR%%.conf

This is bogus.  Please revert it.  %%ETCDIR%% is supposed to be a
directory (as the name implies) not part of a filename.

+share/locale/ar/LC_MESSAGES/fprintd.mo

Where did %%NLS%% go?  Did you do a test build with NLS=off?

make makeplist is a big help in generating a plist but you still
have to sanity check its output and not just accept it as is.  This
is doubly important when the port has options.
Comment 6 Nathan 2018-08-02 11:36:25 UTC
(In reply to Tobias Kortkamp from comment #5)
> (In reply to Nathan from comment #3)
> -USES=		tar:xz gmake libtool pkgconfig
> +USES=		tar:xz gmake \
> +		libtool pkgconfig
> 
> Nathan, thanks for all of your submissions, but please do not make
> changes like this.  There is nothing wrong with the original version.
> You can maybe add a newline to USES when the line approaches 80
> columns but it is not even close here.
> 
> -etc/fprintd.conf
> +%%ETCDIR%%.conf
> 
> This is bogus.  Please revert it.  %%ETCDIR%% is supposed to be a
> directory (as the name implies) not part of a filename.
> 
> +share/locale/ar/LC_MESSAGES/fprintd.mo
> 
> Where did %%NLS%% go?  Did you do a test build with NLS=off?
> 
> make makeplist is a big help in generating a plist but you still
> have to sanity check its output and not just accept it as is.  This
> is doubly important when the port has options.


Nope didn’t turn it off. Seems to be some bug somewhere. It shows in configure says nls is explicitly enabled. On the etc.conf issue I couldn’t find where make caused that
Comment 7 Tobias Kortkamp freebsd_committer 2018-08-04 22:49:26 UTC
(In reply to Nathan from comment #6)

> Nope didn’t turn it off. Seems to be some bug somewhere.
> It shows in configure says nls is explicitly enabled

If the NLS option doesn't do its job properly (in fprintd 0.6.0 it works 
correctly) we either need to fix it or remove it entirely if it's unfixable.
Either way we shouldn't leave it in a half-broken state.  Please readd the
%%NLS%% prefixes to all share/locale entries in pkg-plist again as a first
step.

> On the etc.conf issue I couldn’t find where make caused that

It's normal because there's a PLIST_SUB for ETCDIR imposed by the framework
(which is defined to etc/${PORTNAME} in PLIST_SUB by default) and makeplist
tries to substitute values to variables in pkg-plist based on PLIST_SUB.
It sometimes gets things wrong and you need to manually correct it.
Comment 8 Nathan 2018-08-10 11:09:40 UTC
Contacting upstream. I still am not able to get NLS to work
Comment 9 Nathan 2018-08-17 01:36:28 UTC
Created attachment 196265 [details]
Update
Comment 10 Nathan 2018-09-01 22:16:29 UTC
Updating to latest version:0.8.1 and see if it is fixed, should we reset maintainer?
Comment 11 Nathan 2018-09-02 04:21:24 UTC
Created attachment 196777 [details]
Update; Avoid need of gtk-doc dep;

security/fprintd:

* Update to 0.8.1
* Remove need for gtk-doc
  -- Port doesn't install DOCS either way
* Switched source to github
  -- Latest version hosted
* Add gettext to uses
  -- Port will not install without it

Changelog: https://github.com/freedesktop/libfprint-fprintd/blob/V_0_8_1/NEWS
Comment 12 Nathan 2018-09-02 04:34:53 UTC
Created attachment 196778 [details]
Update; Avoid need of gtk-doc dep

security/fprintd:

* Update to 0.8.1
* Remove need for gtk-doc
  -- Port doesn't install DOCS either way
* Switched source to github
  -- Latest version hosted
* Add gettext to uses
  -- Port will not install without it

Changelog: https://github.com/freedesktop/libfprint-fprintd/blob/V_0_8_1/NEWS
Comment 13 Nathan 2018-09-23 18:23:20 UTC
Created attachment 197412 [details]
Update ; Remove gtk-doc dep

 security/fprintd: Update to 0.8.1
 
 Add LICENSE file, while here
 Rearrange variables, to correct order
 Remove doc build, removes need of gtk-doc and doesn't build
 
 PR:             230279
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 14 commit-hook freebsd_committer 2019-01-11 15:03:03 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 15:02:44 UTC 2019
New revision: 489978
URL: https://svnweb.freebsd.org/changeset/ports/489978

Log:
  - Update to 0.8.1
  - Add LICENSE file

  PR:		230279
  Submitted by:	ndowens@yahoo.com
  Approved by:	maintainer timeout
  Sponsored by:	iXsystems Inc.

Changes:
  head/security/fprintd/Makefile
  head/security/fprintd/distinfo
  head/security/fprintd/files/
  head/security/fprintd/pkg-plist